body {
  &.body--has-footer {
    padding-bottom: var(--footer-height);
  }

  &.body--has-fixed-menu {
    padding-top: var(--navbar-height);

    .rui-actions--top {
      top: var(--navbar-height);
    }

    thead {
      top: calc(var(--navbar-height) + var(--actions-height));
    }
  }
}
